msql_pconnect
msql_regcase
mSQL Functions
PHP Manual

# msql_query

(PHP 4, PHP 5)

msql_query — Send mSQL query

### Description

resource msql_query ( string `$query` [, resource `$link_identifier` ] )

msql_query() sends a query to the currently active database on the server that's associated with the specified link identifier.

### Parameters

`query`

  The SQL query.

`link_identifier`

  The mSQL connection. If not specified, the last link opened by msql_connect() is assumed. If no such link is found, the function will try to establish a link as if msql_connect() was called, and use it.

### Return Values

Returns a positive mSQL query identifier on success, or `FALSE` on error.

### Examples

Example #1 msql_query() example

`<?php
$link = msql_connect("dbserver")
or die("unable to connect to msql server: " . msql_error());
msql_select_db("db", $link)
or die("unable to select database 'db': " . msql_error());
$result = msql_query("SELECT * FROM table WHERE id=1", $link);
if (!$result) {
die("query failed: " . msql_error());
}
while ($row = msql_fetch_array($result)) {
echo $row["id"];
}
?>`

### See Also

- msql_db_query()
- msql_select_db()
- msql_connect()

msql_pconnect
msql_regcase
mSQL Functions
PHP Manual